# Method: projects.locations.spaces.applicationTemplates.export

- [HTTP request](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates/export#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates/export#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates/export#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates/export#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates/export#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates/export#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates/export#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.applicationTemplates/export#try-it)

Exports Terraform files for an application template. The generated modules can have remote sources or local sources downloaded from remote. This is an ASYNCHRONOUS operation that returns a Long Running Operation.

### HTTP request

`POST https://designcenter.googleapis.com/v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:export`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the application template. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "artifactLocation": { object (`ArtifactLocation`) }, "exportIacConfig": { object (`https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/ExportIaCConfig`) } } ``` |

| Fields ||
|---|---|
| `artifactLocation` | ``object (`ArtifactLocation`)`` Optional. Specifies the destination for the generated IaC, which can be Cloud Storage or a Developer Connect repository. Default is Google Cloud Storage. |
| `exportIacConfig` | ``object (`https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/ExportIaCConfig`)`` Optional. Configuration for exporting IaC. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/application-design-center/docs/reference/rest/Shared.Types/Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `designcenter.applicationTemplates.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).